<{if $need_wx_share && $signPackage['appId'] && $signPackage['signature'] }>
    <script src="http://res.wx.qq.com/open/js/jweixin-1.0.0.js"></script>
    <script>
        var $wx_appId = "<{$signPackage['appId']}>";
        var $timestamp = "<{$signPackage['timestamp']}>";
        var $nonceStr = "<{$signPackage['nonceStr']}>";
        var $signature = "<{$signPackage['signature']}>";

        // 注意：所有的JS接口只能在公众号绑定的域名下调用，公众号开发者需要先登录微信公众平台进入“公众号设置”的“功能设置”里填写“JS接口安全域名”。
        // 如果发现在 Android 不能分享自定义内容，请到官网下载最新的包覆盖安装，Android 自定义分享接口需升级至 6.0.2.58 版本及以上。
        // 完整 JS-SDK 文档地址：http://mp.weixin.qq.com/wiki/7/aaa137b55fb2e0456bf8dd9148dd613f.html
        wx.config({
            debug: false,
            appId: $wx_appId,
            timestamp: $timestamp,
            nonceStr: $nonceStr,
            signature: $signature,
            jsApiList: [
                // 所有要调用的 API 都要加到这个列表中
                'checkJsApi',
                'onMenuShareTimeline',
                'onMenuShareAppMessage',
                'onMenuShareQQ',
                'onMenuShareWeibo',
                'hideMenuItems',
                'showMenuItems',
                'hideAllNonBaseMenuItem',
                'showAllNonBaseMenuItem',
                'translateVoice',
                'startRecord',
                'stopRecord',
                'onRecordEnd',
                'playVoice',
                'pauseVoice',
                'stopVoice',
                'uploadVoice',
                'downloadVoice',
                'chooseImage',
                'previewImage',
                'uploadImage',
                'downloadImage',
                'getNetworkType',
                'openLocation',
                'getLocation',
                'hideOptionMenu',
                'showOptionMenu',
                'closeWindow',
                'scanQRCode',
                'chooseWXPay',
                'openProductSpecificView',
                'addCard',
                'chooseCard',
                'openCard'
            ]
        });

        wx.ready(function () {
            var timelinetitle, title, desc, link, imgUrl;
            if (typeof(cmm.wxshare) != 'undefined') {
                timelinetitle = cmm.wxshare.timelinetitle;
                title = cmm.wxshare.title;
                desc = cmm.wxshare.desc;
                link = cmm.wxshare.link;
                imgUrl = cmm.wxshare.imgUrl;
                title = title.html();
                desc = desc.html();
                timelinetitle = timelinetitle.html();
            } else {
                title = document.title;
                link = location.href;
                timelinetitle = desc = title;
                imgUrl = 'http://wx.qlogo.cn/mmhead/Q3auHgzwzM7dRkROT7jiaIzIhpGpkaMa9pIcJVZuWQbINabyNhwTHtg/0/0';
            }
            imgUrl = imgUrl || 'http://wx.qlogo.cn/mmhead/Q3auHgzwzM7dRkROT7jiaIzIhpGpkaMa9pIcJVZuWQbINabyNhwTHtg/0/0';

            //分享给朋友
            wx.onMenuShareAppMessage({
                title: title,
                desc: desc,
                link: link,
                imgUrl: imgUrl,
                trigger: function (res) {
                    console.log('trigger');
                },
                success: function (res) {
                    console.log(res);
                    console.log('success by app');
                    if (typeof(cmm.share_callback) != 'undefined') {
                        cmm.share_callback(2);
                    }
                },
                cancel: function (res) {
                    console.log('cancel');
                },
                fail: function (res) {
                    console.log('fail');
                }
            });

            //分享到朋友圈
            wx.onMenuShareTimeline({
                title: timelinetitle,
                link: link,
                imgUrl: imgUrl,
                success: function (res) {
                    console.log(res);
                    console.log('success by timeline');
                    if (typeof(cmm.share_callback) != 'undefined') {
                        cmm.share_callback(1);
                    }
                },
                cancel: function (res) {
                    // 用户取消分享后执行的回调函数
                    console.log('cancel:onMenuShareTimeline');
                }
            });

        });

        wx.error(function (res) {
            console.log(res.errMsg);
        });

    </script>
<{/if}>